TAAS - Feature #9

Account Code Setting
08/04/2022 10:53 AM - Anil KV

Status: Reopen Bugs Testing Done Start date: 08/04/2022
Priority: Normal Due date: 08/08/2022
Assignee: Baseem Shan % Done: 90%
Category: Estimated time: 20:00 hours
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 30.00 Code Reviewed By:  Shanto Shaji
Module: Account Code Settings

Description

Account Code Setting
DELETE FROM accounts.tbl_ac_code_settings;

Insert the Records

INSERT INTO accounts.tbl_ac_code_settings
(vhr_sys_module_name,

sin_type,

sin_allowed_manul_entery,
sin_code_gen_method,
vhr_code_perfix,
sin_start_number,
sin_number_length,
sin_first_chrs_len)
VALUES (
'CUSTOMER_MASTER', 0, 1, 1, 'cus', 1, 3, 0),
'SUPPLIER_MASTER', 0, 1, 1, 'sup', 1, 3, 0),
'COMMISSION_AGENT_MASTER', 0, 1, 1, 'saM', 1, 3, 0),
'"EMPLOYEE_MASTER', 0, 1, 1, 'EMP', 1, 3, 0),
'"PROFILE_MASTER', 0, 1, 1, 'POF', 1, 3, 0),
'SUB_LEDGER_MASTER', 0, 1, 1, 'SBL', 1, 3, 0),
'CASH_MASTER', 0, 1, 1, 'cas', 1, 3, 0),
'UPI_MASTER', O, 1, 1, ‘'vupI1', 1, 3, 0),
'BANK_MASTER', O, 1, 1, 'BNK', 1, 3, 0),
'"CREDIT_CARD_MASTER', 0, 1, 1, 'CRC', 1, 3, 0),
'"CORPORATE_CARD_MASTER', 0, 1, 1, 'cocC',
'RECEIVED_CHEQUE_MASTER', 0, 1, 1, 'RCH',
'"PAID_CHEQUE_MASTER', O, 1, 1, 'PCH', 1, 3, 0),
'CHART_OF_ACCOUNT', 1, 1, 1, 'aAs', 1, 3, 0),
2, 1, 1, 'aG', 1, 3, 0),
'CHART_OF_ACCOUNT', 3, 1, 1, 'aM', 1, 3, 0),
'CHART_OF_ACCOUNT', 4, 1, 1, 'AL', 1, 3, 0),
'"CHART_OF ACCOUNT', 5, 1, 1, 'La', 1, 3, 0),
'"CHART_OF_ACCOUNT', 6, 1, 1, 'LG', 1, 3, 0),
'"CHART_OF_ACCOUNT', 7, 1, 1, 'LM', 1, 3, 0),
'CHART_OF_ACCOUNT', 8, 1, 1, 'LL', 1, 3, 0),
'CHART_OF_ACCOUNT', 9, 1, 1, 'IN', 1, 3, 0),
'"CHART_OF_ACCOUNT', 10, 1, 1, 'IG', 1, 3, 0),
'CHART_OF_ACCOUNT', 11, 1, 1, 'IM', 1, 3, 0),
'"CHART_OF_ACCOUNT', 12, 1, 1, 'IL', 1, 3, 0),
'"CHART_OF_ACCOUNT', 13, 1, 1, 'EX', 1, 3, 0),
'"CHART_OF_ACCOUNT', 14, 1, 1, 'EG', 1, 3, 0),
'"CHART_OF_ACCOUNT', 15, 1, 1, 'EM', 1, 3, 0),
'"CHART_OF_ACCOUNT', 16, 1, 1, 'EL', 1, 3, 0));

History
#1 - 08/04/2022 11:25 AM - Anil KV
- File 1-CsModel.txt added

- File 2-tsModel.txt added

- File 3-CsFile.txt added

- File 4-CsControllerFile.txt added

- File 5-TsFile.txt added

- File 6-HtmliFile.txt added

- File sql.txt added

#2 - 08/04/2022 11:26 AM - Anil KV

CREATE TABLE accounts.tbl_ac_code_settings (
pk_ac_code_settings_id BIGSERIAL PRIMARY KEY,

vhr_sys_module_name VARCHAR (250) NOT NULL, --*1
sin_type SMALLINT DEFAULT 0,-—-*2

sin_allowed_manul_entery SMALLINT DEFAULT O,
sin_code_gen_method SMALLINT DEFAULT 0, -—-*3
vhr_code_perfix VARCHAR (5) NULL,
sin_start_number BIGINT DEFAULT O,
sin_number_length SMALLINT DEFAULT O,
sin_first_chrs_len SMALLINT DEFAULT O

) INHERITS (tbl_action_user_and_date_time)
== 7 - Liabilities Main Ledger
== 9 - Income

== 10 - Income Group

== 11 - Income Main Ledger

== 12 - Income Ledger

== 13 - Expense

== 14 - Expense Group

== 15 - Expense Main Ledger

== 16 - Expense Ledger

==t O—Manuat—Onty

= 1 = Set Perfix Base auto generation
== 2 = Name Part Base auto generation

== 3 = Number part only auto generation

#3 - 08/04/2022 12:21 PM - Anil KV

public IstAcCodeGenMethod: any[] =[ { "intld": 0, "strLabel": "Manual Only", "binDisable": false, "blnActive": true, "strRemarks": "}, {"intld": 1,
"strLabel": "Set Perfix Base auto generation", "binDisable": false, "binActive": false, "strRemarks": "}, {"intld": 2, "strLabel": "Name Part Base auto
generation”, "binDisable": false, "bInActive": false, "strRemarks": "}, { "intld": 3, "strLabel": "Number part only auto generation", "bInDisable": false,
"blnActive": false, "strRemarks": "" },

I;

#4 - 08/05/2022 12:03 PM - Shanto Shaji

- Status changed from New to Coding Started

- % Done changed from 0 to 40

#5 - 08/12/2022 05:53 PM - Shanto Shaji

- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

- Time Taken(HH) set to 30.00

- Module set to Account Code Settings

Another Work (Ui Editing) done in One Working day

05/04/2025 2/5



#6 - 08/19/2022 09:55 AM - Shanto Shaji
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

#7 - 08/19/2022 05:33 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#8 - 08/23/2022 11:14 AM - Shanto Shaji

- Status changed from Reopen Bugs Coding Done to Testing Started
- Tested By set to Shanto Shaji

- Code Reviewed By set to Shanto Shaji

#9 - 08/23/2022 11:28 AM - Shanto Shaji
- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

Tab Name Error

#10 - 08/23/2022 11:40 AM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#11 - 08/23/2022 11:40 AM - Shanto Shaji
- Status changed from Reopen Bugs Coding Done to Testing Started

#12 - 08/23/2022 11:40 AM - Shanto Shaji
- Status changed from Testing Started to Reopen Bugs Testing Done
- % Done changed from 60 to 80

#13 - 03/03/2023 06:08 PM - Amal Cyriac

- Status changed from Reopen Bugs Testing Done to Reopen Bugs
- % Done changed from 80 to 50

- Tested By changed from Shanto Shaji to Amal Cyriac

ISSUE FOUND *****
1.Fix error on grid- Value - Null
( Chart of Account & Non Chart of Account )

#14 - 03/29/2023 03:05 PM - Shanto Shaji
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 09/21/2023 03:52 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.NO VALIDATION WHILE SAVING WITHOUT DATA PEFIX CODE

#16 - 09/27/2023 10:13 AM - Junaid M

- Assignee changed from Shanto Shaji to Baseem Shan
#17 - 09/29/2023 06:16 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 02/05/2024 11:24 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

FIXED - 1.NO CHANGE IN ACCOUNTS WHILE CHANGING START NO/FIRST CHAR NO FIELD
FIXED - 2.ERROR WHILE CHANGING TYPES OF NON/COA ACCOUNTS

P0001: jsnSpOutRes: {"sinSglCustomStatus" : -1, "strSglCustomStatusCode" : "ERROR", "strSglCustomMessage" : "B
ank Save Faild", "strSglCustomErrorType" : "DATABASE_SYSTEM_ERROR",

"strSglCustomErrorCode" : null, "strSglSysMessage" : "record \"objfncheckres\" has no field \"sinsglcustomsta
tus\"", "strSqglSysExceptionDetail"™ : "", "strSqglSysExceptionHint" : "PL/pgSQL

assignment \"objFnCheckRes.sinSglCustomStatus := -1::SMALLINT\"\nPL/pgSQL function sp_insert_or_update_bank (j
sonb, jsonb, jsonb, jsonb) line 17 at assignment", "binSqglPk" : 0, "binSglLogPk" : 0,

"strSglDocNo" : null, "dctSglOtherData" : {"binBankId": null, "binCustomerId": null, "strAccountCode": null}}

#19 - 02/07/2024 10:05 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 02/20/2024 11:52 AM - Junaid M
GUI Change

-Add 'Assets' also

#21 - 02/20/2024 11:52 AM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#22 - 03/05/2024 07:03 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#23 - 03/06/2024 04:41 PM - unnikannan S
TESTING DONE

#24 - 08/23/2024 03:02 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

GUI Change

ADDED -- 1.Rename Tab "Non Chart of Account" to "Accounts"

ADDED -- 2.Add new Tab last "Other Masters"

ADDED -- 3.Move Profile, Hired Shueffer, All Bank, Sub ledger master, Assets master to Other Masters from "Non Chart of Account" to "Other
Masters"

#25 - 08/24/2024 04:38 PM - Baseem Shan
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#26 - 11/11/2024 03:29 PM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50
ISSUE FOUNDED

FIXED -- 1. Show Item All Bank In Other Tab Clear The ltem Own Bank

#27 - 11/12/2024 01:10 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#28 - 12/07/2024 06:45 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

2-tsModel.txt 1.04 KB 08/04/2022 Anil KV
1-CsModel.txt 1.53 KB 08/04/2022 Anil KV
4-CsControllerFile.txt 16.9 KB 08/04/2022 Anil KV
3-CsFile.txt 9.25 KB 08/04/2022 Anil KV
5-TsFile.txt 13.6 KB 08/04/2022 Anil KV
6-HtmlFile.txt 1.92 KB 08/04/2022 Anil KV
sql.txt 8.41 KB 08/04/2022 Anil KV
